GSPL-ULIST(1)

NAME
gspl-ulist - list permissions for users

SYNOPSIS
gspl-ulist [ -options ]

DESCRIPTION
gspl-ulist lists the permissions of users known to the GNUspool print spooler system.

The invoking user must have edit admin file permission to use gspl-ulist.

OPTIONS
Note that the order of treatment, letters and keywords described below may be modified by editing the file rest.help - see spsyntax(5). The environment variable on which options are supplied is "GSPL-ULIST" and the environment variable to specify the help file is "SPRESTCONF".

-? or +explain
    causes a summary of the other options to be displayed without taking further action.

-D or +default-format
    cancel the -F option and revert to the default format.

-d or +default-line
    display an initial line giving the default options (default).

-F or +format
    format the output according to the format string given.

-H or +header
    generate a header for each column of the output appropriate for the format.

-N or +no-header
    cancel the -H option.

-n or +numeric-sort
    sort the list of users by the numeric user id (default).

-S or +no-user-lines
    suppress the user lines. It is an error to invoke this and the -s option as well.

-s or +no-default-line
    suppress the initial line giving the default options.

-U or +user-lines
    display the user lines (default).

-u or +user-sort
    sort the list of users by the user name.

+freeze-current
    Save all the current options in a .gnuspool file in the current directory.

+freeze-home
    Save all the current options in a .gnuspool file in the user's home directory.

  Format argument.
The format string consists of a string containing the following character sequences, which are replaced by various user permission parameters. The string may contain various other printing characters or spaces as required.

Each column is padded on the right to the length of the longest entry.

If a header is requested, the appropriate abbreviation is obtained from the message file and inserted.

%a  allowed form types

%b  allowed printer types

%c  allowed class code

%d  default priority

%f  default form type

%l  minimum priority

%m  maximum priority

%n  maximum copies

%o  default printer

%p  privileges

%u  user name.

%v  "L" if the user is a valid user

The string "DEFAULT" replaces the user name in the default values line.

Note that the various strings are read from the message file, so it is possible to modify them as required by the user.

The default format is

        %u %d %l %m %n %c %p

  Privileges format
The following are output via the %p format. Note that the actual strings are read from the message file, and are the same ones as are used by gspl-uchange(1). "ALL" is displayed if all privileges are set.

Adm edit admin file

Stp stop scheduler

Form
    select forms other than restriction pattern

Otherp
    select printers other than restriction pattern

Cpri
    change priority once queued

Otherj
    edit other users' jobs.

Prinq
    select printer list

Hgo stop and start printers

Anyp
    select any priority once queued

Cdef
    change own default priority within range

Addp
    add and delete printers

Cover
    override class

Unq unqueue jobs

Votj
    view (but not change) other users' jobs

Remj
    access remote jobs

Remp
    access remote printers

Accessj
    access non-displayed job attributes

Freeze
    freeze parameters from display

FILES
~/.gnuspool configuration file (home directory)

.gnuspool configuration file (current directory)

rest.help message file

ENVIRONMENT

GSPL_ULIST
    space-separated options to override defaults.

SPRESTCONF
    location of alternative help file.

SEE ALSO
gspl-uchange(1), gspl-user(1), spsyntax(5), gnuspool.conf(5), gnuspool.hosts(5).

DIAGNOSTICS
Various diagnostics are read and printed as required from the message file, by default rest.help.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.